View Issue Details

IDProjectCategoryView StatusLast Update
0004053GNUnetATS servicepublic2018-06-07 00:24
Reporterch3Assigned ToChristian Grothoff 
PrioritynormalSeveritycrashReproducibilitysometimes
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0004053: crash in ATS
DescriptionRunning gnunet keeps producing ats core-files. See Additional Information.
Additional InformationWith about every crash I can see
ats-scheduling-api-26897 ERROR ATS connection died (code 1), reconnecting
Stopped ats.


Program terminated with signal SIGSEGV, Segmentation fault.
#0 0x00007f4017421c0c in update_active_address (s=0x1e523f0, current_address=0x0, peer=0x1e69db0)
    at plugin_ats_proportional.c:840
840 &aw->addr->peer);
(gdb) bt
#0 0x00007f4017421c0c in update_active_address (s=0x1e523f0, current_address=0x0, peer=0x1e69db0)
    at plugin_ats_proportional.c:840
#1 0x00007f4017422440 in GAS_proportional_address_add (solver=0x1e523f0, address=0x1e69db0,
    network=GNUNET_ATS_NET_WAN) at plugin_ats_proportional.c:1035
#2 0x000000000040680b in GAS_plugin_new_address (new_address=0x1e69db0)
    at gnunet-service-ats_plugins.c:483
#3 0x0000000000402bfa in GAS_addresses_add (peer=0x1e56858, plugin_name=0x1e568a2 "tcp",
    plugin_addr=0x1e56898, plugin_addr_len=10, local_address_info=1, session_id=32, prop=0x7ffdd63c24c0)
    at gnunet-service-ats_addresses.c:251
#4 0x00000000004089b5 in GAS_handle_address_add (cls=0x0, client=0x1e54ef0, message=0x1e56850)
    at gnunet-service-ats_scheduling.c:180
#5 0x00007f4018fbd443 in GNUNET_SERVER_inject (server=0x1e67920, sender=0x1e54ef0, message=0x1e56850)
    at server.c:997
#6 0x00007f4018fbe116 in client_message_tokenizer_callback (cls=0x1e67920, client=0x1e54ef0,
    message=0x1e56850) at server.c:1256
#7 0x00007f4018fc05e0 in GNUNET_SERVER_mst_receive (mst=0x1e54f90, client_identity=0x1e54ef0, buf=0x0,
    size=0, purge=0, one_shot=-1) at server_mst.c:221
#8 0x00007f4018fbd72c in process_mst (client=0x1e54ef0, ret=0) at server.c:1073
#9 0x00007f4018fbddd6 in process_incoming (cls=0x1e54ef0, buf=0x7ffdd63c2760, available=258,
    addr=0x1e54dd0, addrlen=2, errCode=0) at server.c:1191
#10 0x00007f4018f85314 in receive_ready (cls=0x1e54df0, tc=0x7ffdd63d27e0) at connection.c:1156
#11 0x00007f4018fb8a2e in run_ready (rs=0x1e50460, ws=0x1e504f0) at scheduler.c:587
#12 0x00007f4018fb9340 in GNUNET_SCHEDULER_run (task=0x7f4018fc5e30 <service_task>,
    task_cls=0x7ffdd63d2b70) at scheduler.c:868
#13 0x00007f4018fc7b7c in GNUNET_SERVICE_run (argc=3, argv=0x7ffdd63d2df8, service_name=0x4093fc "ats",
    options=GNUNET_SERVICE_OPTION_NONE, task=0x40239a <run>, task_cls=0x0) at service.c:1503
#14 0x0000000000402567 in main (argc=3, argv=0x7ffdd63d2df8) at gnunet-service-ats.c:241
(gdb) bt f
#0 0x00007f4017421c0c in update_active_address (s=0x1e523f0, current_address=0x0, peer=0x1e69db0)
    at plugin_ats_proportional.c:840
        best_address = 0x1e69db0
        asi_cur = 0x7ffdd63c2370
        asi_best = 0x1e69f70
        aw = 0x0
        aw_min = 0x1e69f70
        a_con = 1
        con_min = 1
        __FUNCTION__ = "update_active_address"
#1 0x00007f4017422440 in GAS_proportional_address_add (solver=0x1e523f0, address=0x1e69db0,
    network=GNUNET_ATS_NET_WAN) at plugin_ats_proportional.c:1035
        s = 0x1e523f0
        net = 0x1e53ad8
        aw = 0x1e69f70
        __FUNCTION__ = "GAS_proportional_address_add"
#2 0x000000000040680b in GAS_plugin_new_address (new_address=0x1e69db0)
    at gnunet-service-ats_plugins.c:483
No locals.
#3 0x0000000000402bfa in GAS_addresses_add (peer=0x1e56858, plugin_name=0x1e568a2 "tcp",
    plugin_addr=0x1e56898, plugin_addr_len=10, local_address_info=1, session_id=32, prop=0x7ffdd63c24c0)
    at gnunet-service-ats_addresses.c:251
        new_address = 0x1e69db0
        __FUNCTION__ = "GAS_addresses_add"
#4 0x00000000004089b5 in GAS_handle_address_add (cls=0x0, client=0x1e54ef0, message=0x1e56850)
    at gnunet-service-ats_scheduling.c:180
        m = 0x1e56850
        address = 0x1e56898 ""
        plugin_name = 0x1e568a2 "tcp"
        address_length = 10
        plugin_name_length = 4
        size = 86
        prop = {delay = {rel_value_us = 0}, utilization_out = 0, utilization_in = 0, distance = 0,
          scope = GNUNET_ATS_NET_WAN}
        __FUNCTION__ = "GAS_handle_address_add"
#5 0x00007f4018fbd443 in GNUNET_SERVER_inject (server=0x1e67920, sender=0x1e54ef0, message=0x1e56850)
    at server.c:997
        pos = 0x1e52710
        mh = 0x409480 <handlers+96>
        i = 4
        type = 353
        size = 86
        found = 0
        __FUNCTION__ = "GNUNET_SERVER_inject"
#6 0x00007f4018fbe116 in client_message_tokenizer_callback (cls=0x1e67920, client=0x1e54ef0,
    message=0x1e56850) at server.c:1256
        server = 0x1e67920
        sender = 0x1e54ef0
        ret = 1
        __FUNCTION__ = "client_message_tokenizer_callback"
#7 0x00007f4018fc05e0 in GNUNET_SERVER_mst_receive (mst=0x1e54f90, client_identity=0x1e54ef0, buf=0x0,
    size=0, purge=0, one_shot=-1) at server_mst.c:221
        hdr = 0x1e56850
        delta = 31805328
        want = 86
        ibuf = 0x1e56850 ""
        need_align = 2
        offset = 16
---Type <return> to continue, or q <return> to quit---
        ret = 1
        __FUNCTION__ = "GNUNET_SERVER_mst_receive"
#8 0x00007f4018fbd72c in process_mst (client=0x1e54ef0, ret=0) at server.c:1073
        __FUNCTION__ = "process_mst"
#9 0x00007f4018fbddd6 in process_incoming (cls=0x1e54ef0, buf=0x7ffdd63c2760, available=258,
    addr=0x1e54dd0, addrlen=2, errCode=0) at server.c:1191
        client = 0x1e54ef0
        server = 0x1e67920
        end = {abs_value_us = 18446744073709551615}
        now = {abs_value_us = 1447515445257709}
        ret = 0
        __FUNCTION__ = "process_incoming"
#10 0x00007f4018f85314 in receive_ready (cls=0x1e54df0, tc=0x7ffdd63d27e0) at connection.c:1156
        connection = 0x1e54df0
        buffer = ""
        ret = 258
        receiver = 0x7f4018fbd8c5 <process_incoming>
        __FUNCTION__ = "receive_ready"
#11 0x00007f4018fb8a2e in run_ready (rs=0x1e50460, ws=0x1e504f0) at scheduler.c:587
        p = GNUNET_SCHEDULER_PRIORITY_DEFAULT
        pos = 0x1e54ff0
        tc = {reason = (GNUNET_SCHEDULER_REASON_READ_READY | GNUNET_SCHEDULER_REASON_PREREQ_DONE),
          read_ready = 0x1e50460, write_ready = 0x1e504f0}
        __FUNCTION__ = "run_ready"
#12 0x00007f4018fb9340 in GNUNET_SCHEDULER_run (task=0x7f4018fc5e30 <service_task>,
    task_cls=0x7ffdd63d2b70) at scheduler.c:868
        rs = 0x1e50460
        ws = 0x1e504f0
        timeout = {rel_value_us = 1999769}
        ret = 3
        shc_int = 0x1e50830
        shc_term = 0x1e508f0
        shc_quit = 0x1e51400
        shc_hup = 0x1e514c0
        shc_pipe = 0x1e51340
        last_tr = 52
        busy_wait_warning = 0
        pr = 0x1e65670
        c = 0 '\000'
        __FUNCTION__ = "GNUNET_SCHEDULER_run"
#13 0x00007f4018fc7b7c in GNUNET_SERVICE_run (argc=3, argv=0x7ffdd63d2df8, service_name=0x4093fc "ats",
    options=GNUNET_SERVICE_OPTION_NONE, task=0x40239a <run>, task_cls=0x0) at service.c:1503
        err = 0
        ret = 3
        cfg_fn = 0x1e4e700 "~/.config/gnunet.conf"
        opt_cfg_fn = 0x1e4e850 "/home/gnunet/.config/gnunet.conf"
        loglev = 0x0
        logfile = 0x0
        do_daemonize = 0
        i = 4203418
        skew_offset = 140728197787120
        skew_variance = 4202528
        clock_offset = 1447515379
        sctx = {cfg = 0x1e4e720, server = 0x1e67920, addrs = 0x0, service_name = 0x4093fc "ats",
          task = 0x40239a <run>, task_cls = 0x0, v4_denied = 0x0, v6_denied = 0x0,
          v4_allowed = 0x1e50a00, v6_allowed = 0x1e651f0, my_handlers = 0x1e64ce0, addrlens = 0x0,
          lsocks = 0x1e503c0, shutdown_task = 0x1e51780, timeout = {
            rel_value_us = 18446744073709551615}, ret = 1, ready_confirm_fd = -1, require_found = 1,
          match_uid = 0, match_gid = 1, options = GNUNET_SERVICE_OPTION_NONE}
        cfg = 0x1e4e720
        xdg = 0x0
        service_options = {{shortName = 99 'c', name = 0x7f4018fd81cd "config",
            argumentHelp = 0x7f4018fd81d4 "FILENAME",
            description = 0x7f4018fd81e0 "use configuration file FILENAME", require_argument = 1,
            processor = 0x7f4018fa5a51 <GNUNET_GETOPT_set_string>, scls = 0x7ffdd63d2c28}, {
            shortName = 100 'd', name = 0x7f4018fd8200 "daemonize", argumentHelp = 0x0,
            description = 0x7f4018fd8210 "do daemonize (detach from terminal)", require_argument = 0,
            processor = 0x7f4018fa5a24 <GNUNET_GETOPT_set_one>, scls = 0x7ffdd63d2c14}, {
            shortName = 104 'h', name = 0x7f4018fd8234 "help", argumentHelp = 0x0,
            description = 0x7f4018fd8239 "print this help", require_argument = 0,
            processor = 0x7f4018fa54ef <GNUNET_GETOPT_format_help_>, scls = 0x0}, {shortName = 76 'L',
            name = 0x7f4018fd8249 "log", argumentHelp = 0x7f4018fd824d "LOGLEVEL",
            description = 0x7f4018fd8258 "configure logging to use LOGLEVEL", require_argument = 1,
            processor = 0x7f4018fa5a51 <GNUNET_GETOPT_set_string>, scls = 0x7ffdd63d2c20}, {
            shortName = 108 'l', name = 0x7f4018fd827a "logfile",
            argumentHelp = 0x7f4018fd8282 "LOGFILE",
            description = 0x7f4018fd8290 "configure logging to write logs to LOGFILE",
            require_argument = 1, processor = 0x7f4018fa5a51 <GNUNET_GETOPT_set_string>,
            scls = 0x7ffdd63d2c18}, {shortName = 118 'v', name = 0x7f4018fd82bb "version",
            argumentHelp = 0x0, description = 0x7f4018fd82c3 "print the version number",
            require_argument = 0, processor = 0x7f4018fa54a9 <GNUNET_GETOPT_print_version_>,
            scls = 0x7f4018fd82dc}, {shortName = 0 '\000', name = 0x0, argumentHelp = 0x0,
            description = 0x0, require_argument = 0, processor = 0x0, scls = 0x0}}
        __FUNCTION__ = "GNUNET_SERVICE_run"
#14 0x0000000000402567 in main (argc=3, argv=0x7ffdd63d2df8) at gnunet-service-ats.c:241
No locals.
(gdb) list
835 break;
836 }
837 }
838 update_active_address (s,
839 aw_min->addr,
840 &aw->addr->peer);
841 }
842 distribute_bandwidth_in_network (s,
843 asi_best->network);
844 }
TagsNo tags attached.

Activities

ch3

2015-11-14 17:48

developer   ~0009896

I did not assign it to Mathias Wachs on purpose. Does that happen automatically?

Christian Grothoff

2015-11-16 08:37

manager   ~0009902

Fixed in SVN 36663, thanks for reporting (somehow I never got this one).

Issue History

Date Modified Username Field Change
2015-11-14 17:46 ch3 New Issue
2015-11-14 17:46 ch3 Status new => assigned
2015-11-14 17:46 ch3 Assigned To => Matthias Wachs
2015-11-14 17:46 ch3 Status assigned => new
2015-11-14 17:48 ch3 Note Added: 0009896
2015-11-16 08:37 Christian Grothoff Note Added: 0009902
2015-11-16 08:37 Christian Grothoff Status new => resolved
2015-11-16 08:37 Christian Grothoff Fixed in Version => 0.11.0pre66
2015-11-16 08:37 Christian Grothoff Resolution open => fixed
2015-11-16 08:37 Christian Grothoff Assigned To Matthias Wachs => Christian Grothoff
2015-11-16 08:37 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed